=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2010-03-18 23:11:15 +0000
+++ bzrlib/osutils.py	2010-03-19 00:31:54 +0000
@@ -1899,7 +1899,7 @@
 # data at once.
 MAX_SOCKET_CHUNK = 64 * 1024
 
-def read_bytes_from_socket(sock, report_activity,
+def read_bytes_from_socket(sock, report_activity=None,
         max_read_size=MAX_SOCKET_CHUNK):
     """Read up to max_read_size of bytes from sock and notify of progress.
 
@@ -1921,7 +1921,8 @@
                 continue
             raise
         else:
-            report_activity(len(bytes), 'read')
+            if report_activity is not None:
+                report_activity(len(bytes), 'read')
             return bytes
 
 
@@ -1936,9 +1937,8 @@
     This isn't optimized and is intended mostly for use in testing.
     """
     b = ''
-    reporter = lambda n, rw: None
     while len(b) < count:
-        new = read_bytes_from_socket(socket, reporter, count - len(b))
+        new = read_bytes_from_socket(socket, None, count - len(b))
         if new == '':
             break # eof
         b += new

